
QGIS Application - Bug report #3963

Crash when applying a graduated vector style

2011-06-07 01:47 PM - Jean-Roc Morreale

Status: Closed

Priority: High

Assignee: cfarmer -

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 13965

Description

When I apply a graduated classification a shp layer, QGIS dies. It happens on Windows (qgis-dev from osgeo4w) and linux (master

branch from sunday), it also happens if the layer (same data) is in spatialite.

I'm joining the full gdb backtrace.

Associated revisions

Revision 02413796 - 2011-12-24 01:53 AM - Jürgen Fischer

fix #3963

Revision 78379f63 - 2011-12-25 03:41 PM - Jürgen Fischer

fix #3963

History

#1 - 2011-07-04 12:38 PM - Martin Dobias

The backtrace suggest that it crashes when calculating breaks for Jenks classification. A sample of your data causing the problem would be very helpful in

order to track down the error.

#2 - 2011-07-20 03:22 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

Please jrm send us feedback - if we cannot replicate it, we cannot fix it.

#3 - 2011-08-16 03:35 AM - mlennert -

I can replicate this bug in the following manner:

    -  download http://epp.eurostat.ec.europa.eu/cache/GISCO/geodatafiles/NUTS_60M_2006_SH.zip

    -  unzip somewhere

    -  in QGIS, load NUTS_RG_60M_2006.shp

    -  select only NUTS 3 level (i.e. those entities where LENGTH=5 and save selection as new shapefile (to make it easier for you, here is the resulting
shapefile : http://geog-pc40.ulb.ac.be/qgis/nuts3.zip - data not meant for dissemination, only for this bug report - read licence info here: 

http://epp.eurostat.ec.europa.eu/portal/page/portal/gisco_Geographical_information_maps/popups/references/administrative_units_statistical_units_1)

    -  load the NUTS 3 shapefile

    -  try classifying with Jenks on any variable

=> crash

Moritz

#4 - 2011-09-19 09:47 AM - Giovanni Manghi

- Assignee set to Martin Dobias

- Target version changed from Version 2.0.0 to Version 1.7.1

Confirmed under Ubuntu 11.04 64 bit and qgis trunk.

This is the error message

Fatal: ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 464

Aborted

mlennert - wrote:

I can replicate this bug in the following manner:

    -  download http://epp.eurostat.ec.europa.eu/cache/GISCO/geodatafiles/NUTS_60M_2006_SH.zip

    -  unzip somewhere

    -  in QGIS, load NUTS_RG_60M_2006.shp

    -  select only NUTS 3 level (i.e. those entities where LENGTH=5 and save selection as new shapefile (to make it easier for you, here is the

resulting shapefile : http://geog-pc40.ulb.ac.be/qgis/nuts3.zip - data not meant for dissemination, only for this bug report - read licence info here: 

http://epp.eurostat.ec.europa.eu/portal/page/portal/gisco_Geographical_information_maps/popups/references/administrative_units_statistical_units

1)

    -  load the NUTS 3 shapefile

    -  try classifying with Jenks on any variable

=> crash

Moritz

#5 - 2011-10-11 11:38 AM - Martin Dobias

- Assignee changed from Martin Dobias to cfarmer -

I am unable to tell what is going on in the algorithm for natural breaks, the references lead only to implementations, not to theory and formulas.

Maybe Carson will have a better idea what's going wrong since he has ported it to QGIS.

#6 - 2011-11-12 05:52 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#7 - 2011-11-30 12:40 PM - Giovanni Manghi
- Target version changed from Version 1.7.2 to Version 1.7.3

#8 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#9 - 2011-12-23 08:13 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to Yes

- Priority changed from Normal to 6

- Operating System deleted (windows, linux)

- OS version deleted (trunk)

- Affected QGIS version set to master

still true on qgis-master under Ubuntu Linux and Windows

Fatal: ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 464

Aborted

#10 - 2011-12-23 04:55 PM - Jürgen Fischer

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"024137967b734d570f948dcd30caf48dbe7e94cc".

Files

backtrace_qgis.log 58.5 KB 2011-06-07 Jean-Roc Morreale
